summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Huettel <dilfridge@gentoo.org>2020-06-22 09:53:00 +0300
committerAndreas K. Huettel <dilfridge@gentoo.org>2020-06-22 09:53:31 +0300
commitbe48d7f9326cc633f5f571413194c73ae1beb1da (patch)
tree0cf72e75cf26a295a4a4ad948682aa82e27fb688
parentsys-kernel/git-sources: Automated version bump to 5.8_rc2. (diff)
downloadgentoo-be48d7f9326cc633f5f571413194c73ae1beb1da.tar.gz
gentoo-be48d7f9326cc633f5f571413194c73ae1beb1da.tar.bz2
gentoo-be48d7f9326cc633f5f571413194c73ae1beb1da.zip
dev-lang/julia: Re-keyword 1.4.0-r2
Closes: https://bugs.gentoo.org/725862 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>
-rw-r--r--dev-lang/julia/julia-1.4.0-r2.ebuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/dev-lang/julia/julia-1.4.0-r2.ebuild b/dev-lang/julia/julia-1.4.0-r2.ebuild
index 8a243c8d1f9..c55c6fab3a6 100644
--- a/dev-lang/julia/julia-1.4.0-r2.ebuild
+++ b/dev-lang/julia/julia-1.4.0-r2.ebuild
@@ -33,7 +33,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-#KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~x86"
IUSE="system-llvm"
RDEPEND="
@@ -141,6 +141,8 @@ src_configure() {
# julia does not play well with the system versions of dsfmt, libuv,
# and utf8proc
+ use system-llvm && ewarn "You have enabled system-llvm. This is unsupported by upstream and may not work."
+
# USE_SYSTEM_LIBM=0 implies using external openlibm
cat <<-EOF > Make.user
USE_BINARYBUILDER:=0
@@ -189,7 +191,9 @@ src_install() {
prefix="${EPREFIX}/usr" DESTDIR="${D}" \
CC="$(tc-getCC)" CXX="$(tc-getCXX)"
- cp "${S}/usr/lib/libLLVM"-?jl.so "${ED}/usr/$(get_libdir)/julia/" || die
+ if ! use system-llvm ; then
+ cp "${S}/usr/lib/libLLVM"-?jl.so "${ED}/usr/$(get_libdir)/julia/" || die
+ fi
dodoc README.md